#!/usr/bin/env node
'use strict'

// if outside of this codebase, use require('ring-api' instaed)
const ringApi = require( '../main' )
const { healthSummary, historySummary } = require( './formatters' )
const { inspect } = require( 'util' )
const colors = require( 'colors/safe' )

if ( !process.env.RING_USER || !process.env.RING_PASSWORD ) {
    console.error( 'this example needs ring username and password in the environment' )
    process.exit()
}

const main = async() => {

    let ring
    try {
        ring = await ringApi({
            // we'll use the default options for this example. Maks sure you have the
            // username and password as RING_USER or RING_PASSWORD or place them here
        })
    } catch ( e ) {
        console.error( e )
        console.error( colors.red( 'We couldn\'t create the API instance. This might be because ring.com changed their API again' ))
        console.error( colors.red( 'or maybe your password is wrong, in any case, sorry can\'t help you today. Bye!' ))
        return
    }
}

main()
